Retrieve
curl --request GET \
--url https://{defaultHost}/v1/trackings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/trackings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/trackings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "dde974fa-a632-46be-a357-2e8c8c9db956",
"object": "tracking",
"courier_name": "UPS",
"number": "1Z879E930346834440",
"url": "https://wwwapps.ups.com/WebTracking/track?track=yes&trackNums=1Z879E930346834440",
"fulfillment": "ffd2ac78-059a-44a7-bc23-aa0513cfb4d0",
"created_at": 1789424653,
"updated_at": 1789424653
}Trackings
Retrieve
Retrieves details of a specific tracking.
GET
/
v1
/
trackings
/
{id}
Retrieve
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The tracking number provided by the courier.
The URL to track this shipment on the courier's website. (This is inferred from the tracking number for some couriers.)
The name of the courier for this shipment. (This is inferred from the tracking number for some couriers.)
Expandable – The associated fulfillment ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?